## gmime2.2 2.2.20-maemo0

=== debian/changelog ===
gmime2.2 (2.2.20-maemo0) maemo; urgency=low

  * Upstream 2.2.20: using ubuntu debian directory in maemo.
	
 -- Ivan Frade <ivan.frade@nokia.com>  Thu, 22 May 2008 19:35:00 +0200
	

gmime2.2 (2.2.10-0ubuntu1) gutsy; urgency=low

  * New upstream version 2.2.10:
    * README: Bumped version
    * configure.in: Bumped version to 2.2.10
    * tests/test-mime.c: Added rfc2047_text entries for testing the
      new workaround support.
    * gmime/gmime-utils.c (g_mime_utils_header_decode_text):
      Implemented a conditional workaround for broken rfc2047 encodings.
    * gmime/gmime-common.c: Removed str[n]casecmp
  * New upstream version 2.2.9:
    * configure.in: Bumped version to 2.2.9
    * gmime/gmime-stream-cat.c (stream_substream): Fixed a memory leak
      by always returning a GMimeStreamCat, even if the source list
      contains only a single stream (probably better that it work this
      way anyway for consistency), thanks again to Charles Kerr for
      finding and presenting a fix for this. Fixes bug #440054.
    * gmime/gmime-stream-file.c (stream_seek): Oops, fseek() should
      have been using SEEK_SET, not SEEK_END. Thanks to Charles Kerr for
      the report and the fix. Fixes bug #439841.

 -- Aron Sisak <aron@ubuntu.hu>  Fri, 20 Jul 2007 10:38:49 +0200

gmime2.2 (2.2.8-1ubuntu1) gutsy; urgency=low

  * Merge from debian unstable, remaining changes:
    + debian/libgmime-2.0-2-dev.install:
      - Don't install uuencode/uudecode.
    + debian/control:
      - Update maintainer field...

 -- Sebastian Dröge <slomo@ubuntu.com>  Thu,  3 May 2007 21:56:49 +0200

gmime2.2 (2.2.8-1) unstable; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Sat, 28 Apr 2007 10:28:07 +0200

gmime2.2 (2.2.7-1) unstable; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Tue, 24 Apr 2007 19:11:19 +0200

gmime2.2 (2.2.6-1) unstable; urgency=medium

  * New upstream release. Closes: #416668
    Medium urgency because it breaks balsa.

 -- Guus Sliepen <guus@debian.org>  Fri, 30 Mar 2007 11:10:58 +0200

gmime2.2 (2.2.5-1) unstable; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Tue, 27 Mar 2007 10:49:21 +0200

gmime2.2 (2.2.3-3ubuntu1) feisty; urgency=low

  * debian/libgmime-2.0-2-dev.install:
    + Don't install uuencode/uudecode.

 -- Sebastian Dröge <slomo@ubuntu.com>  Fri, 15 Dec 2006 10:31:00 +0100

gmime2.2 (2.2.3-3) unstable; urgency=low

  * Make mono binding's dependency on the C library less strict.
    Closes: #386902

 -- Guus Sliepen <guus@debian.org>  Mon, 11 Dec 2006 17:06:20 +0100

gmime2.2 (2.2.3-2) unstable; urgency=medium

  * Acknowledge NMUs. Closes: #382642, #386902, #387094, #388041
  * Apply patch from Michael Biebl to prevent wrong libdir path in .la
    files. Closes: #401541
  * Medium urgency upload because it may break other software linked to it.
  * libgmime-2.0-2-doc Conflict, Replaces and Provides libgmime2.2-doc.

 -- Guus Sliepen <guus@debian.org>  Sat,  9 Dec 2006 14:39:40 +0100

gmime2.2 (2.2.3-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Call dpatch before running configure, otherwise
    libgmime2.2-cil ships unpatched .pc file with 
    wrong library path (Closes: #387094) 

 -- Michael Ablassmeier <abi@debian.org>  Mon, 18 Sep 2006 11:07:53 +0200

gmime2.2 (2.2.3-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix my previous broken upload of libgmime2.2-cil, by running the
    binary-arch target before binary-all to ensure shlibs files are
    where they need to be.  Closes: #386902.

 -- Steve Langasek <vorlon@debian.org>  Sun, 10 Sep 2006 22:30:02 -0700

gmime2.2 (2.2.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Properly split the binary-arch and binary-indep targets, and the
    build-depends as well, instead of wrongly processing all arch: all
    packages in the binary-arch target and failing whenever the C#
    packages aren't installed.  In addition, move these mono build-deps
    into Build-Depends-Indep where they belong, as well as the packages
    used for doc building (docbook-utils, gtk-doc-tools).
    Closes: #382642.

 -- Steve Langasek <vorlon@debian.org>  Sat,  9 Sep 2006 23:31:49 -0700

gmime2.2 (2.2.3-1) unstable; urgency=low

  * New upstream release (Closes: #366231)
  * Fix naming of packages to comply with Debian Policy and Debian Mono Policy
     + binary packages are called libgmime2.0-2-* as library soname.
     + mono bindings package is called libgmime2.2-cil.

  * debian/control:
     + Build Depend on cli-common-dev (>= 0.4.0) and dpatch
     + Make libgmime2.2-cil package architecture all. It does only contain
     mono code, so it will work in every environment that has Mono available.
     + Bump Standards Version to 3.7.2. No changes needed.
     + Set myself as an Uploader for this package.

  * debian/rules:
     + Bump debhelper compat level to 4, and set it only in debian/compat file
     + use dh_install instead of deprecated dh_movefiles.
     + call dh_installcligac and add correspondent file.
     + only call dh_*cli* stuff on libgmime2.2-cil package.
     + do not force a maximum version at dh_makeclilibs call. It will
     added later when needed.
     + add dpatch support.

  * debian/patches:
     + gmime-sharp-pc: new; set path for gmime-sharp.dll

  * mv *.files *.install to complete the above change
  * Install cli files under /usr/lib/cli/gmime-sharp-2.2 to follow new CLI
    policy. They will be linked to GAC at postinst by debhelper magic.
    (Closes: #366453) 

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Thu, 10 Aug 2006 13:10:38 +0200

gmime2.1 (2.1.19-1) unstable; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Sat, 21 Jan 2006 12:48:37 +0100

gmime2.1 (2.1.18-1) unstable; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Fri, 13 Jan 2006 12:58:26 +0100

gmime2.1 (2.1.17-2) unstable; urgency=low


