## gmime2.2 2.2.20-maemo1+0m5

=== debian/changelog ===
gmime2.2 (2.2.20-maemo1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 2.2.20-maemo1+0m5

 -- Gary Birkett <ext-gary.2.birkett@nokia.com>  Tue, 08 Jun 2010 19:45:10 +0300

gmime2.2 (2.2.20-maemo1) unstable; urgency=low

  * Compile with -DG_DISABLE_CAST_CHECKS by default
  * Fixes: NB#162682 libgconf/libgmime recompilation with G_DISABLE_CAST_CHECKS

 -- Alberto Garcia <agarcia@igalia.com>  Tue, 25 May 2010 11:06:00 +0200
