=== debian/control ===
Source: gmime2.2
Section: libs
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Uploaders: Jose Carlos Garcia Sogo <jsogo@debian.org>
Build-Depends: debhelper (>> 4.0.0), libglib2.0-dev, autotools-dev, zlib1g-dev, dpatch
Standards-Version: 3.7.2

Package: libgmime-2.0-2-dev
Architecture: any
Section: libdevel
Depends: libgmime-2.0-2 (= ${Source-Version}), libc6-dev, libglib2.0-dev
Conflicts: libgmime-dev, libgmime1-dev, libgmime2-dev, libgmime2.1-dev
Replaces: libgmime2-dev, libgmime2.1-dev
Provides: libgmime2-dev, libgmime2.1-dev
Description: MIME library, unstable version - development files
 GMime is a set of utilities for parsing and creating messages using
 the Multipurpose Internet Mail Extension (MIME).

Package: libgmime-2.0-2
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: libgmime2, libgmime2.1
Replaces: libgmime2, libgmime2.1
Provides: libgmime2, libgmime2.1
Description: MIME library, unstable version
 GMime is a set of utilities for parsing and creating messages using
 the Multipurpose Internet Mail Extension (MIME).
