=== debian/rules ===
--- 
+++ 
@@ -32,11 +32,15 @@
 CFLAGS += -O2
 endif
 
+ifeq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -DG_DISABLE_CAST_CHECKS
+endif
+
 configure: configure-stamp
 configure-stamp: #patch
 	dh_testdir
 	
-	./configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --disable-rpath
+	CFLAGS="$(CFLAGS)" ./configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --disable-rpath
 	# --disable-gtk-doc
 
 	touch configure-stamp
