=== debian/watch ===
# Site				Directory	Pattern				Version	Script
http://spruce.sourceforge.net	/gmime/sources	gmime-(2\.2\..*)\.tar\.gz	debian	uupdate -u
